COROSYNC-QNETD-TOOL(8)

NAME
corosync-qnetd-tool - corosync-qnetd control interface.

SYNOPSIS
corosync-qnetd-tool [-Hhlsv] [-c cluster_name] [-p qnetd_ipc_socket_path]

DESCRIPTION
corosync-qnetd-tool is a frontend to the internal corosync-qnetd IPC. Its main purpose is to show important information about the current internal state of corosync-qnetd.

OPTIONS

-H  Properly shutdown the corosync-qnetd process

-h  Display a short usage text

-l  List all clients connected to the corosync-qnetd process. The output is described in its own section below.

-s  Display status of the corosync-qnetd process.

-v  Display more verbose output for options -l and -s

-c  Used only with the -l option. By default, information about all clients from all clusters is displayed, with this option it's possible to filter information from a single cluster given the cluster_name.

-p  Path to the corosync-qnetd communication socket.

LIST COMMAND OUTPUT
Cluster "Cluster":
    Algorithm:          Fifty-Fifty split
    Tie-breaker:        Node with lowest node ID
    Node ID 1:
        Client address:         ::ffff:127.0.0.1:52000
        HB interval:            8000ms
        Configured node list:   1, 2
        Ring ID:                1.a00000000021b40
        Membership node list:   1, 2
        TLS active:             Yes (client certificate verified)
        Vote:                   No change (ACK)
 ...
The output contains a list of clusters. Each cluster has the cluster common options Algorithm and Tie-breaker as configured in the corosync.conf file. Information about nodes follows. Client address is the IP address and port of the client. HB interval is the heartbeat interval between corosync-qnetd and corosync-qdevice client. This option can be configured in corosync.conf. Configured node list is the list of nodes configured in corosync.conf. Ring ID and Membership node list are self-explanatory. TLS active describes if an encrypted transport is used between server and client. Vote is last vote sent to corosync-qdevice client. The last ACK/NACK vote (if it exists) is in parentheses.

SEE ALSO
corosync-qnetd(8) corosync-qdevice(8)

AUTHOR
Jan Friesse